Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RocketFileInterface Class Reference

Implementation of FileInterface to allow libRocket to read files from the virtual file system. More...

`#include "rocketFileInterface.h"`

Inheritance diagram for RocketFileInterface:

## Public Member Functions
| RocketFileInterface (VirtualFileSystem *vfs=nullptr)
| Constructs a RocketFileInterface for the given VFS, or the default if NULL is given.
void | Close (Rocket::Core::FileHandle file)
size_t | Length (Rocket::Core::FileHandle file)
Rocket::Core::FileHandle | Open (const Rocket::Core::String &path)
size_t | Read (void *buffer, size_t size, Rocket::Core::FileHandle file)
bool | Seek (Rocket::Core::FileHandle file, long offset, int origin)
size_t | Tell (Rocket::Core::FileHandle file)

## Detailed Description

Implementation of FileInterface to allow libRocket to read files from the virtual file system.

Definition at line 27 of file rocketFileInterface.h.

## Constructor & Destructor Documentation

## ◆ RocketFileInterface()

RocketFileInterface::RocketFileInterface | ( | VirtualFileSystem * | vfs = nullptr | ) |

Constructs a RocketFileInterface for the given VFS, or the default if NULL is given.

Definition at line 21 of file rocketFileInterface.cxx.

References VirtualFileSystem::get_global_ptr().

## ◆ ~RocketFileInterface()

virtual RocketFileInterface::~RocketFileInterface | ( |  | ) |
| inline virtual

Definition at line 30 of file rocketFileInterface.h.

## Member Function Documentation

## ◆ Close()

void RocketFileInterface::Close | ( | Rocket::Core::FileHandle | file | ) |

Definition at line 70 of file rocketFileInterface.cxx.

## ◆ Length()

size_t RocketFileInterface::Length | ( | Rocket::Core::FileHandle | file | ) |

Definition at line 135 of file rocketFileInterface.cxx.

## ◆ Open()

Rocket::Core::FileHandle RocketFileInterface::Open | ( | const Rocket::Core::String & | path | ) |

Definition at line 31 of file rocketFileInterface.cxx.

## ◆ Read()

size_t RocketFileInterface::Read | ( | void * | buffer,
|  | size_t | size,
|  | Rocket::Core::FileHandle | file )

Definition at line 84 of file rocketFileInterface.cxx.

## ◆ Seek()

bool RocketFileInterface::Seek | ( | Rocket::Core::FileHandle | file,
|  | long | offset,
|  | int | origin )

Definition at line 98 of file rocketFileInterface.cxx.

## ◆ Tell()

size_t RocketFileInterface::Tell | ( | Rocket::Core::FileHandle | file | ) |

Definition at line 122 of file rocketFileInterface.cxx.

The documentation for this class was generated from the following files:

- panda/src/rocket/rocketFileInterface.h
- panda/src/rocket/rocketFileInterface.cxx